#include <bits/stdc++.h>
using namespace std;

int a, b, x, y;

int main()
{
	scanf("%d %d", &a, &b);
	scanf("%d %d", &x, &y);
	if (a != x && b != y)
	{
		printf("?");
	}
	else if (a > x)
	{
		printf("prvi");
	}
	else if (b > y)
	{
		printf("drugi");
	}
	else
	{
		printf("nijedan");
	}
	return 0;
}